Add mentions
curl --request POST \
--url https://api.peakmetrics.com/customChannels/{channelId}/mentions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mentions": [
{
"title": "<string>",
"text": "<string>",
"author": "<string>",
"published": "2024-01-15T14:30:45.123Z",
"url": "<string>",
"thumbnailUrl": "<string>"
}
]
}
'import requests
url = "https://api.peakmetrics.com/customChannels/{channelId}/mentions"
payload = { "mentions": [
{
"title": "<string>",
"text": "<string>",
"author": "<string>",
"published": "2024-01-15T14:30:45.123Z",
"url": "<string>",
"thumbnailUrl": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mentions: [
{
title: '<string>',
text: '<string>',
author: '<string>',
published: '2024-01-15T14:30:45.123Z',
url: '<string>',
thumbnailUrl: '<string>'
}
]
})
};
fetch('https://api.peakmetrics.com/customChannels/{channelId}/mentions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Mentions are queued up for ingestion",
"count": 123
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "You have exceeded your minute rate limit of 1000, which will reset at 2024-01-01T00:01:00Z"
}
}Custom Channels
Add mentions
Add mentions to a custom channel. All mentions must pass validation before being accepted for ingestion, after which they are queued up for asynchronous processing.
You may submit up to 100 mentions per request.
PeakMetrics secures custom channel data by segregating it from other channel data while in processing and in storage.
POST
/
customChannels
/
{channelId}
/
mentions
Add mentions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier for the custom channel.
Body
application/json
An array of mentions to be added to the custom channel.
Maximum array length:
100Show child attributes
Show child attributes
Was this page helpful?
⌘I